; cmalone
pro read_star_list, file, nstars, id, ra, dec, mag, PRINT=print

formtype='(f0,2x,f0,x,f0,x,f0,x,f0,x,f0,x,f0,6x,f0)'

; open the file for reading
openr,lun,file, /get_lun

; get header out of the way
header=""
readf,lun,header

; array for data
data = fltarr(8,nstars)

; read it in
readf,lun,data,format=formtype

; change to more familiar shape
data = transpose(data)

; assign values and do conversions
id  = string(data(*,0))
pos = strpos(id,'.')
for i = 0, (size(id))[1]-1 do begin
    id[i]  = strmid(id[i],0,pos[i])
endfor

ra  = (data(*,1) + (data(*,2)/60.) + (data(*,3)/3600.))*360./24.
s   = (-1)^(data(*,4) lt 0.)
dec = data(*,4) + s*(data(*,5)/60.) + s*(data(*,6)/3600.)
mag = data(*,7)

if keyword_set(PRINT) then begin
    print, 'RA'
    print,ra
    print, 'DEC'
    print,dec
    print, 'MAG'
    print,mag
endif

close,lun
return

end
