; cmalone
pro scargle,time,intens,freq,power,jmax,freqprob,prob,sigma
; based off of Press et al.

nobs=size(time)
nobs=nobs[1]
hifac=2.
ofac=64.0
nout=ofac*nobs*hifac/2.
power=fltarr(nout)

tmax=max(time)
tmin=min(time)

tdiff=tmax-tmin
tave=0.5*(tmax+tmin)

freqnow=1./(tdiff*ofac)
freq=freqnow*(findgen(nout)+1.)

arg=2.*!pi*(time-tave)*freqnow
wpr=-2.*sin(.5*arg)^2
wpi=sin(arg)
wr=cos(arg)
wi=wpi

avevar,intens,ave,var

ii=intens-ave
for j=0,nout-1 do begin
    sumsh=total(wi*wr)
    sumc=total((wr-wi)*(wr+wi))
    wtau=0.5*atan(2.*sumsh,sumc)
    swtau=sin(wtau)
    cwtau=cos(wtau)

    ss=wi*cwtau-wr*swtau
    cc=wr*cwtau+wi*swtau
    sums=total(ss^2)
    sumc=total(cc^2)
    
    sumsy=total(ii*ss)
    sumcy=total(ii*cc)
    wtemp=wr
    wr=wr+(wr*wpr-wi*wpi)
    wi=wi+(wi*wpr+wtemp*wpi)
    power[j]=0.5*(sumcy^2/sumc + sumsy^2/sums)/var
endfor

powmax=max(power)
jmax=where(power eq powmax)
freqprob=freq[jmax]

rd=freq[(where(power[jmax:nout-1] le powmax*exp(-1./2.)))[0]+jmax]-freqprob
ld=freqprob-freq[(reverse(where(power[0:jmax] le powmax*exp(-1./2.))))[0]]
sigma=(rd+ld)/2.

expy=exp(-powmax)
effm=2.*nout/ofac
prob=effm*expy
if(prob gt 0.01) then prob=1.-(1.-expy)^effm
print,1.-prob


return
end
